diff -pruN 24.1.5-1/debian/changelog 24.1.5-2/debian/changelog
--- 24.1.5-1/debian/changelog	2024-08-01 07:16:13.000000000 +0000
+++ 24.1.5-2/debian/changelog	2024-08-02 08:25:02.000000000 +0000
@@ -1,3 +1,19 @@
+mesa (24.1.5-2) unstable; urgency=medium
+
+  [ Adrian Bunk ]
+  * control, rules: mips64el has latest LLVM already for some time
+
+  [ Timo Aaltonen ]
+  * rules: Fix FTBFS by only cleaning some nvk test binaries if they
+    actually get built.
+  * rules: Add a new NVK_ARCHS which is a subset of RUSTICL_ARCHS, strip
+    powerpc, ppc64el and s390x from it.
+  * control: Add lua5.4 to build-depends for arm* in order to work
+    around FTBFS caused by setting MESON_PACKAGE_CACHE_DIR for nvk.
+    (Closes: #1077729)
+
+ -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 11:25:02 +0300
+
 mesa (24.1.5-1) unstable; urgency=medium
 
   * New upstream release.
diff -pruN 24.1.5-1/debian/control 24.1.5-2/debian/control
--- 24.1.5-1/debian/control	2024-08-01 07:16:13.000000000 +0000
+++ 24.1.5-2/debian/control	2024-08-02 08:25:02.000000000 +0000
@@ -8,7 +8,7 @@ Build-Depends:
  debhelper-compat (= 13),
  directx-headers-dev (>= 1.613.0) [linux-amd64 linux-arm64],
  flatbuffers-compiler [linux-arm64],
- glslang-tools [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.4.0),
  quilt (>= 0.63-8.2~),
  pkg-config,
@@ -22,7 +22,7 @@ Build-Depends:
  libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
  libvdpau-dev (>= 1.5) [linux-any],
- libvulkan-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  x11proto-dev,
  linux-libc-dev (>= 2.6.31) [linux-any],
  libx11-xcb-dev,
@@ -38,6 +38,7 @@ Build-Depends:
  libxshmfence-dev (>= 1.1),
  libxtensor-dev [linux-arm64],
  libzstd-dev,
+ lua5.4 [arm64 armel armhf],
  python3,
  python3-mako,
  python3-ply,
@@ -45,26 +46,26 @@ Build-Depends:
  python3-setuptools,
  flex,
  bison,
- libelf-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libwayland-dev (>= 1.15.0) [linux-any],
  libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
- llvm-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-cpp17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ llvm-17-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-17-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-cpp17-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-17-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  wayland-protocols (>= 1.34),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc (>= 1.73) [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- rustfmt [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- cbindgen [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- libclc-17 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32],
- libllvmspirvlib-17-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-paste-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-syn-dev [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ rustc (>= 1.73) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-17 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ libclc-17 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ libllvmspirvlib-17-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ librust-paste-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ librust-syn-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
@@ -251,7 +252,7 @@ Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libvulkan1 [amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  ${shlibs:Depends},
  ${misc:Depends}
 Multi-Arch: same
@@ -384,7 +385,7 @@ Description: Mesa VDPAU video accelerati
 
 Package: mesa-vulkan-drivers
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libvulkan1,
@@ -399,7 +400,7 @@ Description: Mesa Vulkan graphics driver
 
 Package: mesa-opencl-icd
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libclc-17,
diff -pruN 24.1.5-1/debian/control.in 24.1.5-2/debian/control.in
--- 24.1.5-1/debian/control.in	2024-08-01 06:42:13.000000000 +0000
+++ 24.1.5-2/debian/control.in	2024-08-02 08:23:06.000000000 +0000
@@ -38,6 +38,7 @@ Build-Depends:
  libxshmfence-dev (>= 1.1),
  libxtensor-dev [linux-arm64],
  libzstd-dev,
+ lua5.4 [arm64 armel armhf],
  python3,
  python3-mako,
  python3-ply,
diff -pruN 24.1.5-1/debian/mesa-drm-shim.triggers 24.1.5-2/debian/mesa-drm-shim.triggers
--- 24.1.5-1/debian/mesa-drm-shim.triggers	1970-01-01 00:00:00.000000000 +0000
+++ 24.1.5-2/debian/mesa-drm-shim.triggers	2024-08-01 08:35:58.000000000 +0000
@@ -0,0 +1 @@
+activate-noawait ldconfig
diff -pruN 24.1.5-1/debian/rules 24.1.5-2/debian/rules
--- 24.1.5-1/debian/rules	2024-08-01 07:03:09.000000000 +0000
+++ 24.1.5-2/debian/rules	2024-08-02 08:11:08.000000000 +0000
@@ -44,8 +44,9 @@ confflags_OSMESA = -Dosmesa=true
 confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
-LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x x32
+LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armel armhf i386 loong64 mips64el ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 WINE_ARCHS     = amd64 arm64 armel armhf i386
 
@@ -125,9 +126,12 @@ else
 	confflags_GALLIUM += -Dllvm=enabled
 	confflags_GALLIUM += -Dgallium-opencl=icd
 
-	# Build rusticl and nvk for archs where rustc is available
+	# Build rusticl for archs where rustc is available
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
 		confflags_GALLIUM += -Dgallium-rusticl=true
+	endif
+
+	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
 		VULKAN_DRIVERS += nouveau
 	endif
 
@@ -253,8 +257,10 @@ override_dh_install:
 	rm debian/tmp/usr/lib/*/libglapi.so
 	rm debian/tmp/usr/lib/*/libEGL_mesa.so
 	rm debian/tmp/usr/lib/*/libGLX_mesa.so
+  ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
 	rm debian/tmp/usr/bin/mme_fermi_sim_hw_test
 	rm debian/tmp/usr/bin/mme_tu104_sim_hw_test
+  endif
 	# use -f here though
 	rm -f debian/tmp/usr/lib/*/libgrl.a
 
